<?php
/**
 * Addon Template.
 *
 * @author Gunter Pietzsch
 *
 * @package redaxo5
 *
 */
$pieces = array();
$pieces[] = "<table class='table'>";
$pieces[] = "<thead><tr><th>".$this->i18n('template_files')."</th><th>".$this->i18n('template_table_description')."</th></tr></thead>";
$pieces[] = "<tr>";
$pieces[] = "<td>";
$pieces[] = "package.yml";
$pieces[] = "</td>";
$pieces[] = "<td>";
$pieces[] = "Diese Datei enthält die benötigeten Informationen zur Konfiguration des Addons";
$pieces[] = "</td>";
$pieces[] = "</tr>";
$pieces[] = "</table>";

$content = join("\n", $pieces);

$fragment = new rex_fragment();
$fragment->setVar('title', $this->i18n('template_required_files_headline'));
$fragment->setVar('body', $content, false);
$content = $fragment->parse('core/page/section.php');

echo $content;

$pieces = array();
$pieces[] = "<table class='table'>";
$pieces[] = "<thead><tr><th>".$this->i18n('template_folder')."</th><th>".$this->i18n('template_table_description')."</th></tr></thead>";
$pieces[] = "<tr>";
$pieces[] = "<td>";
$pieces[] = "boot.php";
$pieces[] = "</td>";
$pieces[] = "<td>";
$pieces[] = "Diese Datei steuert beim Start des Addons alle weiteren, über \"package.yml\" hinausgehenden, benötigten Aktivitäten. Hier werden, bei Bedarf, auch eigene Funktionen an vorhandene Extension-Points gebunden (registriert). Siehe: <a href='https://redaxo.org/doku/master/extension-points'>Dokumentation</a> ";
$pieces[] = "</td>";
$pieces[] = "</tr>";
$pieces[] = "<tr>";
$pieces[] = "<td>";
$pieces[] = "help.php";
$pieces[] = "</td>";
$pieces[] = "<td>";
$pieces[] = "Diese Datei steuert die Hilfe-Ausgabe im \"Backend/Hauptmenü/AddOns\"";
$pieces[] = "</td>";
$pieces[] = "</tr>";
$pieces[] = "<tr>";
$pieces[] = "<td>";
$pieces[] = "install.php";
$pieces[] = "</td>";
$pieces[] = "<td>";
$pieces[] = "Diese Datei wird bei der Installation des Addons abgearbeitet";
$pieces[] = "</td>";
$pieces[] = "</tr>";
$pieces[] = "<tr>";
$pieces[] = "<td>";
$pieces[] = "install.sql";
$pieces[] = "</td>";
$pieces[] = "<td>";
$pieces[] = "Diese Datei steuert den Umgang mit Datenbanken für das Addon, natürlich nur wenn das Addon auch Datenbanktabellen anlegen, ändern und/oder befüllen muss.";
$pieces[] = "</td>";
$pieces[] = "</tr>";
$pieces[] = "<tr>";
$pieces[] = "<td>";
$pieces[] = "uninstall.sql";
$pieces[] = "</td>";
$pieces[] = "<td>";
$pieces[] = "Diese Datei bereinigt Datenbanken bei der de-Installation des Addons, löscht Daten und/oder Tabellen bzw. macht bei der Installation vorgenommene Feldänderungen rückgängig.";
$pieces[] = "</td>";
$pieces[] = "</tr>";
$pieces[] = "</table>";

$content = join("\n", $pieces);

$fragment = new rex_fragment();
$fragment->setVar('title', $this->i18n('template_optional_files_headline'));
$fragment->setVar('body', $content, false);
$content = $fragment->parse('core/page/section.php');

echo $content;

$pieces = array();
$pieces[] = "Die Dokumentation zu Redaxo enthält eine sehr gute Beschreibung zum Einsatz und der Verwendung der Dateien: ";
$pieces[] = "<a href='https://redaxo.org/doku/master/aenderungen-v4-v5#packages'>zur Dokumentation</a>";
$content = join("\n", $pieces);

$fragment = new rex_fragment();
$fragment->setVar('title', $this->i18n('template_hint'));
//$fragment->setVar('body', rex_string::highlight($content), false);
$fragment->setVar('body', $content, false);
$content = $fragment->parse('core/page/section.php');

echo $content;
